SoSFVec4f(3)

NAME
SoSFVec4f - The SoSFVec4f class is a container for an SbVec4f vector.

SYNOPSIS

#include <Inventor/fields/SoSFVec4f.h>

Inherits SoSField.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoSFVec4f & operator= (const SoSFVec4f &field)
virtual SbBool isSame (const SoField &field) const
const SbVec4f & getValue (void) const
void setValue (const SbVec4f &newvalue)
const SbVec4f & operator= (const SbVec4f &newvalue)
int operator== (const SoSFVec4f &field) const
int operator!= (const SoSFVec4f &field) const
void setValue (float x, float y, float z, float w)
void setValue (const float xyzw[4])

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)

  Protected Attributes
SbVec4f value

  Additional Inherited Members

Detailed Description

The SoSFVec4f class is a container for an SbVec4f vector. This field is used where nodes, engines or other field containers need to store a single vector with four elements.

See also
    SbVec4f, SoMFVec4f

Member Function Documentation

  void * SoSFVec4f::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoSFVec4f::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoSFVec4f::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and 'downward' casting.

Implements SoField.

  void SoSFVec4f::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

  SbBool SoSFVec4f::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Implements SoField.

  void SoSFVec4f::initClass (void) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

  void SoSFVec4f::setValue (float x, float y, float z, float w)
Set value of vector.

  void SoSFVec4f::setValue (const float xyzw[4])
Set value of vector.

Author

Generated automatically by Doxygen for Coin from the source code.